API Reference
Search Influencers
Search Instagram influencers by keyword, category, demographics, and location.
GET
/
v1
/
search
Search Influencers
curl --request GET \
--url https://api.example.com/v1/searchimport requests
url = "https://api.example.com/v1/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"username": "fitnessguru",
"full_name": "Alex Fitness",
"followers": 150000,
"following": 900,
"category": "Fitness",
"bio": "Personal trainer | Online coaching | NYC",
"public_email": "alex@fitnessguru.com",
"is_verified": false,
"is_business": true
}
],
"count": 1
}
{
"error": "Payment Required",
"x402": {
"version": "1",
"amount": "100000",
"asset": "USDC",
"payTo": "0xB1Acd9E0269023546074400A434e703B646AaBBa",
"chain": "base"
}
}
This endpoint requires x402 payment. Your x402 client handles payment automatically — see x402 Payments for details.
Request parameters
See Parameters Reference for detailed descriptions, valid values, and constraints for every parameter.Response
See Response Schema for a complete breakdown of every field in the response.{
"results": [
{
"username": "fitnessguru",
"full_name": "Alex Fitness",
"followers": 150000,
"following": 900,
"category": "Fitness",
"bio": "Personal trainer | Online coaching | NYC",
"public_email": "alex@fitnessguru.com",
"is_verified": false,
"is_business": true
}
],
"count": 1
}
{
"error": "Payment Required",
"x402": {
"version": "1",
"amount": "100000",
"asset": "USDC",
"payTo": "0xB1Acd9E0269023546074400A434e703B646AaBBa",
"chain": "base"
}
}
Was this page helpful?
⌘I
Search Influencers
